package ru.dbotthepony.kstarbound.world.api

sealed class TileView(parent: ICellAccess) : ITileAccess, ICellAccess by parent {
	class Foreground(parent: ICellAccess) : TileView(parent) {
		override fun getTile(x: Int, y: Int): AbstractTileState {
			return getCell(x, y).foreground
		}
	}

	class Background(parent: ICellAccess) : TileView(parent) {
		override fun getTile(x: Int, y: Int): AbstractTileState {
			return getCell(x, y).background
		}
	}
}
